package com.zxhl.main.page.contract

import com.zxhl.cms.net.model.box.HomeListEntity
import com.zxhl.cms.net.model.chat.DistanceEntity


class UserDetailsContract {
    interface View {
        fun setUserDetails(result: HomeListEntity)
        fun likeCallBack(boolean: Boolean)
        fun blackCallBack(boolean: Boolean)
        fun reportCallback(boolean: Boolean)

    }

    interface Presenter {
        fun getUserDetails(id: String?,free: String?)
        fun likeUser(uid: String?,free: String?)
        fun blackUser(uid:String?)
        fun reportUser(uid: String?,content:String)
    }
}